Bug 460912 - Review Request: DeviceKit-power - Power Management Service
Review Request: DeviceKit-power - Power Management Service
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-02 12:04 EDT by Richard Hughes
Modified: 2008-10-02 09:06 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-02 09:06:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mclasen: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard Hughes 2008-09-02 12:04:00 EDT
Spec URL: http://people.freedesktop.org/~hughsient/fedora/DeviceKit-power.spec
SRPM URL: http://people.freedesktop.org/~hughsient/fedora/DeviceKit-power-001-1.fc9.src.rpm
Description: DeviceKit-power provides a daemon, API and command line tools for
managing power devices attached to the system. Along with the other DeviceKit-* daemons, it will replace most of the functionality of HAL in F11.
Comment 1 Richard Hughes 2008-09-02 12:05:47 EDT
[hughsie@hughsie-work RPMS]$ rpmlint DeviceKit-power-001-1.fc9.i386.rpm 
DeviceKit-power.i386: W: non-conffile-in-etc /etc/udev/rules.d/95-devkit-power-csr.rules
DeviceKit-power.i386: W: non-conffile-in-etc /etc/dbus-1/system.d/org.freedesktop.DeviceKit.Power.conf
DeviceKit-power.i386: W: non-conffile-in-etc /etc/udev/rules.d/95-devkit-power-wup.rules
DeviceKit-power.i386: W: non-conffile-in-etc /etc/udev/rules.d/95-devkit-power-hid.rules
1 packages and 0 specfiles checked; 0 errors, 4 warnings.
[hughsie@hughsie-work RPMS]$ rpmlint DeviceKit-power-devel-001-1.fc9.i386.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[hughsie@hughsie-work RPMS]$ rpmlint ../SRPMS/DeviceKit-power-001-1.fc9.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

When upstream depends on a new udev, I'll install the rules files out of /etc -- but for now I want to build on F9 with a minimum of hassle.
Comment 2 Richard Hughes 2008-09-02 12:08:27 EDT
Branches required are F-10 (if we create after the branch) and devel.
Comment 3 Matthias Clasen 2008-09-05 12:06:39 EDT
Taking this...
Comment 4 Matthias Clasen 2008-09-05 12:10:15 EDT
Builds fine in mock.
rpmlint says:

[mclasen@localhost ~]$ rpmlint /var/lib/mock/fedora-rawhide-i386/result/DeviceKit-power-*.rpm
DeviceKit-power.i386: W: non-conffile-in-etc /etc/udev/rules.d/95-devkit-power-csr.rules
DeviceKit-power.i386: W: non-conffile-in-etc /etc/dbus-1/system.d/org.freedesktop.DeviceKit.Power.conf
DeviceKit-power.i386: W: non-conffile-in-etc /etc/udev/rules.d/95-devkit-power-wup.rules
DeviceKit-power.i386: W: non-conffile-in-etc /etc/udev/rules.d/95-devkit-power-hid.rules
4 packages and 0 specfiles checked; 0 errors, 4 warnings.

All ignorable warnings
Comment 5 Matthias Clasen 2008-09-05 13:28:33 EDT

package name: ok
spec file name: ok
packaging guidelines: ok
license: ok
license field: says MIT, but COPYING is GPL. What gives ?
license: file: I notice the first line:

   Copyright (C) 2008 David Zeuthen <david@fubar.dk> 

   Maybe you want to add yourself there ?

spec language: ok
spec legibility: ok
upstream sources: ok
buildable: ok
excludearch: n/a
build deps: ok
locale handling: n/a
shared libs: ok
relocatable: n/a
directory ownership: ok
duplicate files: ok 
file permissions: ok
%clean: ok
macro use: consistent
content: permissable
large docs: n/a
header files: n/a
static libs: n/a
pc files: n/a
versioned shared libs: n/a
devel->base dep: ok
libtool archives: ok
gui apps: n/a
directory ownership: must not own
  /usr/share/PolicyKit/policy (owned by PolicyKit)
  /usr/share/dbus-1/interfaces (owned by dbus)
%install: ok
utf8 filenames: ok


In summary: 
 - fix the license situation
 - fix directory ownership

then its good to go
Comment 6 Richard Hughes 2008-09-06 06:24:01 EDT
Both issues fixed, I've added my copyright upstream and will be present in 002.

Spec URL: http://people.freedesktop.org/~hughsient/fedora/DeviceKit-power.spec
SRPM URL:
http://people.freedesktop.org/~hughsient/fedora/DeviceKit-power-001-2.fc9.src.rpm

Thanks.
Comment 7 Matthias Clasen 2008-09-06 13:44:37 EDT
Looks fine now. Approved
Comment 8 Bastien Nocera 2008-09-30 10:16:20 EDT
Your CVS request is missing info, see:
http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure
Comment 9 Richard Hughes 2008-09-30 11:43:47 EDT
New Package CVS Request
=======================
Package Name: DeviceKit-power
Short Description: Power Management Service
Owners: rhughes
Branches: F-9
InitialCC: rhughes
Comment 10 Kevin Fenzi 2008-10-01 15:06:00 EDT
cvs done.
Comment 11 Richard Hughes 2008-10-02 09:06:02 EDT
Thanks Kevin.

Note You need to log in before you can comment on or make changes to this bug.